Subject: Re: PATCH: IPSEC acquire in presence of multiple managers

From: Patrick McHardy <[email-masked]>
Date: Sat, 26 Mar 2005 02:23:38 +0100

Herbert Xu wrote:
> On Fri, Mar 25, 2005 at 07:54:31PM -0500, jamal wrote:
> 
>>It seems that we dont support any acquires from userspace to kernel
> 
> 
> I haven't checked af_key but netlink does support that.  All you have
> to do is send messages to the correct multicast group.
> 
> Of course whether any of the KMs actually deal with it is a different
> story :)

af_key implements the second part of RFC2367 §3.1.6, canceling
an acquire request by sending an acquire message to the kernel with
the same sequence number as the initial acquire request. It doesn't
support the third part, acting as KM for userspace.

Regards
Patrick